AHooper1991
Aerospace
Hey Guys,
Usually I am quite dependable doing this but I have hit a blank memory which happens to everyone!
I have a Product Structure & Excel List (Written VIA Excel VBA)
Option Explicit
Public Sub ExtactPartLevel()
Dim objCAD As Object
Dim objDOC As Object
Dim objSEL As Selection
Dim objPRT As Object
Dim objPRD As Product
Dim ii As Long
On Error Resume Next
Set objCAD = GetObject("CATIA.Application")
If Err.Number <> 0 Then
Set objCAD = CreateObject("CATIA.Application")
On Error GoTo 0
Set objDOC = objCAD.ActiveDocument
Set objSEL = objCAD.ActiveDocument.Selection
Set objPRD = objDOC.Product
objSEL.Add objPRD
End If
'I would usually create a "Nested Loop" in the Product to search for the specific part but I already have the number so the not required so I can do a simple query search
objSEL.Search "Name=V2917609420000*,all"
'Once I find the part Within the CATIA Product, I can't recall on how to Interigate the model exactly. (Opening In New Window - Isn't an Option has the visulition is to memory heavy)
Once Inside the Selected part I am them searching one parameter then searching for next part.
Any Help Guys?
Regards,
Ash
Usually I am quite dependable doing this but I have hit a blank memory which happens to everyone!
I have a Product Structure & Excel List (Written VIA Excel VBA)
Option Explicit
Public Sub ExtactPartLevel()
Dim objCAD As Object
Dim objDOC As Object
Dim objSEL As Selection
Dim objPRT As Object
Dim objPRD As Product
Dim ii As Long
On Error Resume Next
Set objCAD = GetObject("CATIA.Application")
If Err.Number <> 0 Then
Set objCAD = CreateObject("CATIA.Application")
On Error GoTo 0
Set objDOC = objCAD.ActiveDocument
Set objSEL = objCAD.ActiveDocument.Selection
Set objPRD = objDOC.Product
objSEL.Add objPRD
End If
'I would usually create a "Nested Loop" in the Product to search for the specific part but I already have the number so the not required so I can do a simple query search
objSEL.Search "Name=V2917609420000*,all"
'Once I find the part Within the CATIA Product, I can't recall on how to Interigate the model exactly. (Opening In New Window - Isn't an Option has the visulition is to memory heavy)
Once Inside the Selected part I am them searching one parameter then searching for next part.
Any Help Guys?
Regards,
Ash